%define oracle 1
%define oraver 6.x-1.4-beta4
%define oratag ora14b4
%define shibver 6.x-3.3

# $Id: drupal6.spec 8253 2009-12-29 08:18:45Z cmr $
# Authority: dag

%define real_name drupal

Summary: Drupal CMS
Name: drupal6
Version: 6.16
%if %{oracle}
Release: %{oratag}.1%{?dist}
%else
Release: 1%{?dist}
%endif
License: GPL
Group: Development/Languages
URL: http://drupal.org/

Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux

Source0: http://ftp.drupal.org/files/projects/drupal-%{version}.tar.gz
Source1: http://ftp.drupal.org/files/projects/oracle-%{oraver}.tar.gz 
Source2: http://ftp.drupal.org/files/projects/shib_auth-%{shibver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: php >= 4.3.5
Requires: httpd, mysql, php >= 4.3.5
Requires: php-gd, php-mbstring, php-mysql

Obsoletes: drupal <= %{version}-%{release}
Provides: drupal = %{version}-%{release}

%description
Drupal is an open source content management platform. Drupal is equipped
with a powerful blend of features, Drupal can support a variety of
websites ranging from personal weblogs to large community-driven websites.

%package shib_auth
Summary: Shibboleth Authentication Module for Drupal CMS
Group: Development/Languages
URL: http://drupal.org/project/shib_auth
Requires: drupal6 = %{version}-%{release}
Requires: shibboleth >= 2.3

%description shib_auth
Provides user authentication with Shibboleth (both v1.3 and v2.0) as well 
as some authorisation features (automatic role assignment based on Shibboleth 
attributes)



%prep
%setup -n %{real_name}-%{version} -a1 -a2
%{__cat} <<EOF >drupal6.httpd
### Drupal 6
Alias /drupal %{_localstatedir}/www/drupal6

<Directory %{_localstatedir}/www/drupal6>
    AllowOverride All
</Directory>
EOF

%build

%if %{oracle}
patch -p0 < oracle/install.oracle.patch
%{__mv} -v  oracle/migration.sql oracle/oracle.migration.sql
%endif

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 drupal6.httpd %{buildroot}%{_sysconfdir}/httpd/conf.d/drupal6.conf
%{__install} -d -m0755 %{buildroot}%{_localstatedir}/www/drupal6/files/
%{__install} -Dp -m0644 .htaccess %{buildroot}%{_localstatedir}/www/drupal6/.htaccess
%{__cp} -av *.php %{buildroot}%{_localstatedir}/www/drupal6/
%{__cp} -av includes/ misc/ modules/ profiles/ scripts/ sites/ themes/ %{buildroot}%{_localstatedir}/www/drupal6/
%if %{oracle}
%{__cp} -av oracle/includes/ %{buildroot}%{_localstatedir}/www/drupal6/
%endif
%{__cp} -avr shib_auth %{buildroot}%{_localstatedir}/www/drupal6/modules/

find %{buildroot} -type f -print | /bin/grep -v "shib_auth/" | /bin/grep -v "drupal6.conf" | /bin/grep -v "drupal6/sites" | sed -e 's#%{buildroot}##' > drupal6.rpmfiles

%clean
%{__rm} -rf %{buildroot}

%files -f drupal6.rpmfiles
%defattr(-, apache, apache, 0755)
%doc CHANGELOG.txt INSTALL.mysql.txt INSTALL.pgsql.txt INSTALL.txt LICENSE.txt MAINTAINERS.txt UPGRADE.txt
%if %{oracle}
%doc oracle/INSTALL.oracle.txt oracle/oracle.migration.sql
%endif
%config(noreplace) %{_localstatedir}/www/drupal6/sites/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/drupal6.conf
#%{_localstatedir}/www/drupal6/

%files shib_auth
%defattr(-, apache, apache, 0755)
%doc shib_auth/INSTALL.txt shib_auth/LICENSE.txt shib_auth/README.txt
%{_localstatedir}/www/drupal6/modules/shib_auth/



%changelog
* Thu May 06 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- Updated to 6.16
- Updated Oracle driver to beta4
- Added shib_auth module for Shibboleth authentication

* Thu Feb 18 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> 
- Added *beta* Oracle driver

* Tue Dec 29 2009 Christoph Maser <cmr@financial.com> - 6.15-1 - 8253/cmr
- Updated to version 6.15.

* Sun Sep 27 2009 Dag Wieers <dag@wieers.com> - 6.14-1
- Updated to release 6.14.

* Thu Jul 02 2009 Dag Wieers <dag@wieers.com> - 6.13-1
- Updated to release 6.13.

* Sun May 17 2009 Dag Wieers <dag@wieers.com> - 6.12-1
- Updated to release 6.12.

* Mon May 11 2009 Dag Wieers <dag@wieers.com> - 6.11-1
- Updated to release 6.11.

* Mon Jan 19 2009 Dag Wieers <dag@wieers.com> - 6.9-1
- Updated to release 6.9.

* Thu Dec 11 2008 Dag Wieers <dag@wieers.com> - 6.8-1
- Updated to release 6.8.

* Fri Jun 13 2008 Dag Wieers <dag@wieers.com> - 6.2-1
- Updated to release 6.2.

* Thu Feb 28 2008 Dag Wieers <dag@wieers.com> - 6.1-1
- Updated to release 6.1.

* Fri Feb 15 2008 Dag Wieers <dag@wieers.com> - 6.0-1
- Initial package. (using DAR)
